• Can't install necessary packages


    So, this has been happening to me for quite some days now.
    During installation and after the “fetching for…” details go away I get this message:

    Antergos Installer Error
    "Can't install necessary packages. Cnchi can't continue."
    Please reference the following number when reporting this error: 207742.
    

    Here’s the log:
    http://pastebin.com/1QHj80uK

    Any help or fixes?
    Thanks!

  • Are you trying installing the Cinnamon desktop? Or is this happening with another one?

  • This one time it was with Cinnamon wich I ended up instaqlling after I installed the base one.
    I just tried the Gnome desktop and it worked.
    Darn!

    I’m assuming there is no fix for this. Am I right?

  • There’s a bug I’m unable to pinpoint when you try to install Cinnamon. I’m still working on it, but I don’t think it’s Cnchi’s fault but some vodoo with the mirrors. I’ll try to find out what’s wrong.

    Sorry.

  • It’s strange that it was good a few months ago.
    Well, thank you for the feedback. Hope you fix it!
    I just ended up installing Gnome and then install Cinnamon. Most apps are the same anyway.

  • I am having this same problem on Cinnamon.

    Trying to follow joaojotta’s solutoin by installing on top of gnome, but just found out i have the exact same problem on gnome.

    "Can’t finalize alpm transaction: transaction failed, pm_errno 34 (invalid or corrupted package.)

    Pastebin

  • That’s odd. I’ve tried Gnome myself yesterday without any issues. I’m starting to think that there is a faulty mirror somewhere…

    I’ll try Gnome again now, just in case…

  • @zigzactly said in Can't install necessary packages:

    I am having this same problem on Cinnamon.

    Trying to follow joaojotta’s solutoin by installing on top of gnome, but just found out i have the exact same problem on gnome.

    "Can’t finalize alpm transaction: transaction failed, pm_errno 34 (invalid or corrupted package.)

    Pastebin

    It’s working well for me. No problems what so ever.

  • What happens if mirrors have different versions of a package?
    cinnamon-translations for example has 3.0.3 in some mirrors and 3.0.2-1 in others.
    the same happens with cinnamon-session, cinnamon-settings-daemon, cjs and some nemo-extensions.
    Should be installer messing up between Antergos repos and Arch ones?

  • I’ve tried Gnome 8 hours ago with no issues and installed it now with no issues too.
    Perhaps there’re only one faulty gnome package/mirror which makes more unlikely it should be choosen.

  • @zigzactly Have you forced formatting of root partition when reinstalled with Gnome?

  • What happens if mirrors have different versions of a package?

    It should always download the latest version. If the latest is not in that mirror, Cnchi will try another one (until a maximum of 5 mirrors, then it will fail).

    Should be installer messing up between Antergos repos and Arch ones?

    If the versions are different, Cnchi will download the latest one. If they have the same version, Cnchi will download Antergos’ first, because it appears first in /etc/pacman.conf

    Anyway, I’ve tried putting Arch repos first and it fails, too.

  • @karasu said in Can't install necessary packages:

    If the versions are different, Cnchi will download the latest one. If they have the same version, Cnchi will download Antergos’ first, because it appears first in /etc/pacman.conf

    Anyway, I’ve tried putting Arch repos first and it fails, too.

    Well, what files would I have to change to get rid of AUR repos and use only canadian Antergos repos?
    I remember around one month ago that was a solution for the problem: using only US an CA mirrors.
    It’s worth a shot.

  • @joaojotta https://forum.antergos.com/topic/3267/how-to-choose-your-mirrors-before-installing-antergos

    I have tried this selecting only USA, canadian and others combinations and all failed!

  • Same problem on Cinnamon(latest ISO 2016.07.19).

    Mr. lots0logs and Mr. Karasu, can you fix it, please?

    Thanks!

    alt text

  • I’m very new to Antergos, I’ve been using it in Virtual Box for the last month and a half and was happy to install it as my main OS on my laptop.
    I downloaded the ISO 2016.07.19 last night via bit torrent.
    Using Cnchi 0.14.121

    On my first attempt I customised the mirrors to the fastest ones for Australia and a few Singaporean mirrors for the Arch mirrors and those generated but an Antergos mirror update.
    Opted for Gome3 desktop with options for -

    • AUR
    • Bluetooth
    • Chromium
    • Google fonts
    • Printer functionality
    • Steam and PlayLinux

    This failed with a similar Antergos Installer - Error but the number was different.
    Tried again after Googling and seeing posts on possible mirror issues, so I tried again however not manually selecting the fastest mirrors.

    The same error occurred but with a different number.

    I’m currently going for my 3rd attempt and pairing down the options to just Chromium, bluetooth and AUR access (as I came across the the Github issue referencing this same issue 9 days ago).

    Fingers crossed but this is getting annoying as I need a working Linux install for development by Monday morning and wanted it to be Antergos.:tired_face:

  • @sK0pe said in Can't install necessary packages:

    I’m currently going for my 3rd attempt and pairing down the options to just Chromium, bluetooth and AUR access (as I came across the the Github issue referencing this same issue 9 days ago).

    Fingers crossed but this is getting annoying as I need a working Linux install for development by Monday morning and wanted it to be Antergos.:tired_face:

    Well it didn’t work on the 3d try, might have more luck at University I can try it a few more times.
    Some further information, this is a dual boot, with partitioning working fine and downloading working fine, the automatic mirror selection by Cnchi seems to be fine for speed. Well back to Mint. :(

  • @sK0pe said in Can't install necessary packages:

    @sK0pe said in Can't install necessary packages:

    I’m currently going for my 3rd attempt and pairing down the options to just Chromium, bluetooth and AUR access (as I came across the the Github issue referencing this same issue 9 days ago).

    Fingers crossed but this is getting annoying as I need a working Linux install for development by Monday morning and wanted it to be Antergos.:tired_face:

    Well it didn’t work on the 3d try, might have more luck at University I can try it a few more times.
    Some further information, this is a dual boot, with partitioning working fine and downloading working fine, the automatic mirror selection by Cnchi seems to be fine for speed. Well back to Mint. :(

    Yup, same issue here (Belgium). Fails on the alpm transaction as described in the github issues. Might have to just deal with a manual arch install after all, even if I really don’t want to do the 1-2h config struggle to get everything rolling.

  • I did a stupid thing, I forgot to delete my prior partitions for root and home, however I didn’t install the Google fonts and printer library or Steam this time.

    So Gnome is working fine if you remember common sense things.

  • Ok, I did three successful cinnamon installs with cnchi 0.14.124 and greater.
    The only issue is my keyboard widget still show a blank panel!

    updated: If I select English or Español languages it shows ok, but not shows with “Português do Brasil”.
    If I click to go back and go forward it shows!

necessary4 Posts 30Views 5023
Log in to reply